\appendix

\section{List of ERROR CODES}
\label{sec:ErrorCodes}

This chapter defines the possible \textit{Error Codes} used by TM(1,2), TM(1,4) and TM(1,8).

\begin{table}[ht]
\centering
	\begin{tabular}{p{0.1\textwidth} p{0.6\textwidth}}
	\toprule
	\textbf{Error Code} & \textbf{Error Description}\\
	\midrule
	0000 & Invalid Packet Version Number\\
	0001 & Invalid Packet Type\\
	0010 & Invalid Secondary Header Flag\\
	0011 & Invalid APID\\
	0100 & Invalid Sequence Flags\\
	0101 & Invalid Sequence Count\\
	0110 & Wrong Packet Length\\
	0111 & Invalid TC Packet PUS Version Number\\
	1000 & Invalid Acknowledgement Flags\\
	1001 & Invalid Service Type\\
	1010 & Invalid Service Subtype\\
	1011 & Invalid Source ID\\
	1100 & Invalid Application Data\\
	1101 & Wrong Checksum\\
	1110 & Not used\\
	1111 & Not used\\	
	\bottomrule
	\end{tabular}
\end{table}

The content of the \textit{Data Field} related to the \textit{Error Code} is not defined yet and has to be specified before implementing the TMs of Service 1.


\appendix